# -*- coding:utf-8 -*-
"""
@author: yq
@time: 2022/10/24
@desc: 
"""
import os


class BaseConfig:
    # 图片缓存位置
    image_path = os.path.join(".", "cache", "image")
    os.makedirs(image_path, exist_ok=True)

    # 模型训练中间结果
    train_path = os.path.join(".", "cache", "train")
    os.makedirs(train_path, exist_ok=True)

    # 运行环境，目前影响上下文的储存
    run_env = "jupyter"

    # java_home
    java_home = "/usr/local/jdk1.8"

    # 表格合并相同列名的列
    merge_table_column = True
